package com.saye.hospitalgd.service.system;

import com.saye.hospitalgd.commons.entity.DepartEntity;

import java.util.HashMap;
import java.util.List;

public interface DepartService {
	
	//通过父节点查询
    public List<HashMap<Object, Object>> findDepartTreeNodeList(String parentId);
    
  //新增部门
  	public int addDepart(HashMap<String,String> map) throws Exception;
  	
  //修改部门
  	public int modifyDepart(HashMap<String,String> map) throws Exception;
  	
  //删除部门以及该部门的子节点
	
  	public int removeDepart(HashMap<String,String> map) throws Exception;
  	
  //查询所有的部门数据
    public List<DepartEntity> selectDepartTreeList();
    //根据父级id查询子集
	public List<HashMap<Object, Object>> findDepartByParentId(HashMap<String, Object> map);

    //查询所有部门list
    public List<HashMap<Object,Object>> selectAllDeparts();

}
